Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Void a Refund


This section describes how to void a follow-on refund that was submitted but not yet processed by the processor.

Supported Processors

  • Fiserv RapidConnect

Endpoints

To void a refund:

POST /pts/v2/refunds/{id}/voids

POST /pts/v2/refunds/{id}/voids

POST /pts/v2/refunds/{id}/voids

The {id} is the transaction ID of the refund to void.

Fiserv RapidConnect Example

{    "clientReferenceInformation": {        "code": "123456789012",        "reconciliationId": "000000050000772"    },    "orderInformation": {        "amountDetails": {            "totalAmount": "100",            "currency": "USD"        }    }}
{    "submitTimeUtc": "2026-03-11T16:57:19Z",    "processorInformation": {        "approvalCode": "OK1272",        "responseCode": "000"    },    "consumerAuthenticationResponse": {        "systemTraceAuditNumber": "500039"    },    "orderInformation": {        "amountDetails": {            "authorizedAmount": "110.00"        }    },    "message": "Successful transaction.",    "clientReferenceInformation": {        "code": "123456789012"    },    "reconciliationId": "000000050000772",    "id": "7417122396283232235535",    "_links": {        "self": {            "method": "GET",            "href": "/pts/v2/voids/7417122396283232235535"        }    },    "status": "VOIDED"}

Fiserv RapidConnect Fields

FieldDescription
clientReferenceInformation.code—
clientReferenceInformation.reconciliationId—
orderInformation.amountDetails.currency—
orderInformation.amountDetails.totalAmount—

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.